#
# spec file for package openstack-horizon-plugin-ironic-ui
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define version_unconverted 3.5.0.dev2

Name:           openstack-horizon-plugin-ironic-ui
Version:        3.5.0~dev2
Release:        1.1
Summary:        Ironic management plugin for Horizon
License:        Apache-2.0
Group:          System/Management
Url:            https://launchpad.net/ironic-ui
Source:         http://tarballs.openstack.org/ironic-ui/ironic-ui-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-dashboard
BuildRequires:  openstack-suse-macros
BuildRequires:  openstack-suse-sudo
BuildRequires:  python-base
BuildRequires:  python-ironicclient
Requires:       openstack-dashboard
Requires:       openstack-suse-sudo
Requires:       python >= 2.6.8
Requires:       python-horizon-plugin-ironic-ui = %{version}
Requires(post): python-horizon-plugin-ironic-ui = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Ironic plugin UI for Horizon to allow users to view and manage bare metal nodes, ports and drivers.

%package -n python-horizon-plugin-ironic-ui
Summary:        Ironic Management Plugin for Horizon - Python module
Group:          Development/Languages/Python
Requires:       python-ironicclient >= 2.3.0
Requires:       python-pbr >= 2.0.0

%description -n python-horizon-plugin-ironic-ui
Ironic plugin UI for Horizon to allow users to view and manage bare metal nodes, ports and drivers.

This package contains the core Python module of the ironic-ui.

%package test
Summary:        Ironic Management Plugin for Horizon - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       python-django-nose >= 1.4.4
Requires:       python-horizon
Requires:       python-python-subunit >= 1.0.0
Requires:       python-testrepository >= 0.0.18
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 2.2.0

%description test
OpenStack Ironic UI Plugin for Horizon testsuite. It is used to verify the
functionality of the Ironic UI Plugin.

%prep
%setup -q -n ironic-ui-%{version_unconverted}
%openstack_cleanup_prep

%build
python setup.py build

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

mkdir -p %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
install -m 0755 -d %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/dashboards/
install -m 0755 -d %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/dashboards/enabled
cp -a ironic_ui/enabled/_2200_ironic.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/

### misc
%fdupes %{buildroot}%{python_sitelib}/ironic_ui

%post
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%postun
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%files
%defattr(-,root,root)
/srv/www/openstack-dashboard/openstack_dashboard/enabled
%doc ChangeLog README.rst
%license LICENSE

%files -n python-horizon-plugin-ironic-ui
%defattr(-,root,root,-)
%license LICENSE
%{python_sitelib}/ironic_ui/
%{python_sitelib}/ironic_ui-*.egg-info
%exclude %{python_sitelib}/ironic_ui/test*

%files test
%defattr(-,root,root)
%{python_sitelib}/ironic_ui/test*

%changelog
* Tue Mar 26 2019 cloud-devel@suse.de
- Update to version ironic-ui-3.5.0.dev2:
  * Replace openstack.org git:// URLs with https://
* Fri Mar 22 2019 cloud-devel@suse.de
- Update to version ironic-ui-3.5.0.dev1:
  * Update master for stable/stein
  3.4.0
  * Supporting all py3 environments with tox
  * add python 3.7 unit test job
  * Add ironic-ui integration tests
  * Imported Translations from Zanata
  * Fix the misspelling of "expression"
  * Use template for lower-constraints
  * Change openstack-dev to openstack-discuss
  * hange openstack-dev to openstack-discuss
* Fri Nov  2 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.3.1.dev18:
  * Imported Translations from Zanata
* Wed Oct 31 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.3.1.dev17:
  * Imported Translations from Zanata
* Fri Oct 19 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.3.1.dev15:
  * Update the hacking to latst
* Tue Oct  2 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.3.1.dev14:
  * Add ability to test Ironic UI with Horizon master branch
  * Imported Translations from Zanata
  * Drop nose dependencies
* Fri Aug 31 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.3.1.dev8:
  * Imported Translations from Zanata
* Tue Aug 28 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.3.1.dev7:
  * add python 3.6 unit test job
  * switch documentation job to new PTI
  * import zuul job settings from project-config
  * Update reno for stable/rocky
  3.3.0
* Wed Aug 22 2018 nicolas.bock@suse.com
- Fix linter warning about license
* Tue Jul 17 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.2.1.dev1:
  * fix tox python3 overrides
  3.2.0
* Wed Jun  6 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.1.1.dev17:
  * Rename tests/registration.py to /tests/test\_registration.py
* Thu May 31 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.1.1.dev16:
  * add lower-constraints job
* Thu May 17 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.1.1.dev14:
  * Add release notes link to README
  * Updated from global requirements
* Tue May 15 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.1.1.dev11:
  * Imported Translations from Zanata
* Tue Apr 24 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.1.1.dev10:
  * Update links in README
  * Fix installation docs
* Thu Apr 12 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.1.1.dev6:
  * Change Launchpad references to Storyboard
* Wed Apr  4 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.1.1.dev4:
  * Imported Translations from Zanata
* Sat Mar 10 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.1.1.dev3:
  * Imported Translations from Zanata
* Fri Feb 23 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.1.1.dev2:
  * Update reno for stable/queens
* Wed Feb 21 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.1.1.dev1:
  3.1.0
  * Imported Translations from Zanata
* Tue Feb  6 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev52:
  * Imported Translations from Zanata
* Sat Feb  3 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev51:
  * Updated from global requirements
  * Imported Translations from Zanata
* Thu Jan 25 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev48:
  * Imported Translations from Zanata
* Thu Jan 18 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev47:
  * Updated from global requirements
  * Imported Translations from Zanata
* Thu Jan  4 2018 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev45:
  * Fix docs build
  * Added support for injecting non-maskable interrupts
  * Imported Translations from Zanata
* Wed Dec  6 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev40:
  * Remove setting of version/release from releasenotes
  * Updated from global requirements
  * Imported Translations from Zanata
  * Allow selecting interfaces while enrolling nodes
  * Imported Translations from Zanata
* Tue Oct 24 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev32:
  * Imported Translations from Zanata
* Tue Oct 17 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev31:
  * Imported Translations from Zanata
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev30:
  * Unit tests for set target raid configuration
* Tue Oct 10 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev28:
  * Imported Translations from Zanata
* Fri Oct  6 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev27:
  * Imported Translations from Zanata
  * Cleanup ironic-ui REST API
  * Cleanup ironic-ui portgroup REST interface
  * Set target raid configuration on a node
  * Added unit tests for edit-portgroup functionality
  * Enhanced form-field radio functionality
* Tue Sep 19 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev17:
  * Imported Translations from Zanata
* Fri Sep 15 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev16:
  * Updated from global requirements
* Sun Aug 27 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev15:
  * Imported Translations from Zanata
  * Add unit tests for node-state-transition service
  * Refactor the PostfixExpr class into a separate service
* Wed Aug 23 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev10:
  * Updated from global requirements
  * Create driver-property service
  * Refactor graph class into a separate service
  * Adds support for directly patching boolean attributes
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev5:
  * Imported Translations from Zanata
* Mon Aug 14 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev4:
  * Imported Translations from Zanata
* Thu Aug 10 2017 cloud-devel@suse.de
- Update to version ironic-ui-3.0.1.dev3:
  * Update reno for stable/pike
  * Imported Translations from Zanata
  3.0.0
* Tue Aug  8 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev96:
  * Add unit tests for creating and editing ports
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev94:
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Adds support for editing portgroups
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev90:
  * Updated from global requirements
  * Display enabled interfaces for underlying driver
  * Cleanup ironic-ui release notes for release
  * Added support for creating portgroups
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev83:
  * Migrate node-details controller tests to new framework
  * Imported Translations from Zanata
  * Add property-collection-editor directive
  * Add python api docs to contributor docs
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev75:
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
* Sat Jul 22 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev71:
  * Add the capability to associate ports with portgroups
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev70:
  * Imported Translations from Zanata
  * Update URL home-page in documents according to document migration
  * Introduce form-field directive
* Sat Jul 15 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev64:
  * Move ironic-ui contributor docs
  * Set current boot device on a node
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev60:
  * Updated from global requirements
* Fri Jul  7 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev59:
  * Moving ironic-ui install content to install folder
  * Set warning-is-error for documentation builds
* Wed Jul  5 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev55:
  * Imported Translations from Zanata
* Mon Jul  3 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev54:
  * Imported Translations from Zanata
* Sat Jul  1 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev53:
  * Switch from oslosphinx to openstackdocstheme
  * Add functionality to view portgroups
  * Imported Translations from Zanata
* Wed Jun 28 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev48:
  * Updated from global requirements
* Tue Jun 27 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev47:
  * Extend backend mock with port operations
  * Add support for editing node's resource\_class
* Fri Jun 23 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev44:
  * Imported Translations from Zanata
  * Refactor BasePortController
* Thu Jun 22 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev40:
  * Imported Translations from Zanata
* Wed Jun 21 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev39:
  * Unit test framework for Ironic-UI API service
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev37:
  * Updated from global requirements
  * Consolidate code for setting node maintenance state
  * Remove explicit package version
  * Fixed node form submission issue
* Wed May 31 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev30:
  * Setup JavaScript test environment
  * Fix Javascript unit tests
  * Modify regex pattern used to validate node ids
  * Fix Javascript unassignable errors
* Thu May 18 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev23:
  * Imported Translations from Zanata
  * Updated from global requirements
* Wed May 17 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev20:
  * Imported Translations from Zanata
  * Eliminate unnecessary event handling code
  * Add support for soft power transitions
  * Add support for starting/stopping/accessing the serial console
* Mon May 15 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev13:
  * Improve strings for translation
  * Imported Translations from Zanata
  * Updated from global requirements
  * Add support for network\_interface attribute
  * Fix oslo\_debug\_helper not running
  * Consolidate node last\_error processing
  * Add a check for node last\_error equal to null
  * Remove python-ironicclient from setup\_requires
* Thu Apr 13 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev8:
  * Updated from global requirements
  * Document how to run JavaScript unit tests
* Tue Apr 11 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev5:
  * Imported Translations from Zanata
* Fri Mar 31 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev4:
  * Show boot device in Node Details/Configuration
  * Fix mocks that were breaking Jasmine tests
* Thu Mar 30 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.3.1.dev1:
  * Imported Translations from Zanata
  2.3.0
* Tue Mar 28 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.2.1.dev39:
  * Adds Ironic-UI Devstack plugin
* Thu Mar 23 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.2.1.dev37:
  * Fix typo in base-node.service.js
  * s/UUID/UUID or name/ in docstrings
  * Fix docstrings for node validation
  * Correct Release Notes theme
  * Fix oslo_debug_helper not running
* Tue Mar 14 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.2.1.dev27:
  * Fix typos in docstrings
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.2.1.dev26:
  * Updated from global requirements
* Sun Mar  5 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.2.1.dev25:
  * Add support for network_interface attribute
  * Use angular one-time-binding to improve performance
  * Cleanup code associated with the ironic REST api
* Fri Mar  3 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.2.1.dev19:
  * Update test requirement
* Wed Mar  1 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.2.1.dev18:
  * Imported Translations from Zanata
  * Add support for manual cleaning of nodes
  * Replace ironic with ironic-ui in contributing doc
  * Maintenance processing code cleanup
  * Source code documentation updates
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.2.1.dev8:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Correct horizon dir in installation doc
  * Remove py34 env from tox
  * standardize release notes filenames and fix contents
  2.2.0
* Tue Feb  7 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev75:
  * Release notes for recently added features
  * Add support for editing Ironic network ports
  * Imported Translations from Zanata
  * Add support for additional port attributes
  * Fix node validation problem
* Sat Feb  4 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev66:
  * Imported Translations from Zanata
  * Remove node-action deleteNodes/deletePorts functions
  * Improvements to enroll-node service
  * Improve error handling for the ironic-ui service
  * Create base-port module to support create and update operations
* Sat Jan 28 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev57:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Display current node cleaning step
  * Add support for aborting node cleaning
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev50:
  * Imported Translations from Zanata
  * Add Python 3.5 classifier and venv
  * Updated from global requirements
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev45:
  * Refactor the edit-node/nodeUpdatePatch class
* Tue Jan 10 2017 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev44:
  * Changes required for updated Bootstrap version
  * Imported Translations from Zanata
  * Added support for the node introspection workflow
  * Extend support for the Ironic state machine
  * Unit tests for PostfixExpr utility class
* Sat Dec 31 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev35:
  * Add Constraints support
* Wed Dec 28 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev33:
  * Removes unnecessary utf-8 encoding
* Fri Dec 16 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev32:
  * Don't include openstack/common in flake8 exclude list
* Wed Dec 14 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev30:
  * Updated from global requirements
  * Consolidate node last_error processing
  * Imported Translations from Zanata
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev24:
  * Refactor ironic-ui documentation to remove warnings
* Sun Dec  4 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev23:
  * Incorporate driver-validation into node-detail panels
* Tue Nov 29 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev21:
  * Show team and repo badges on README
* Wed Nov 23 2016 dmueller@suse.com
- fix installation order
* Fri Nov 18 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev20:
  * Imported Translations from Zanata
* Tue Nov 15 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev19:
  * Fixed bug in representation of ironic state machine
  * Add a check for node last_error equal to null
* Wed Nov  9 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev15:
  * Eliminate references to non-existent admin module
* Thu Nov  3 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev14:
  * Eliminate use of a now obsolete admin basePath variable
* Tue Nov  1 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev12:
  * Imported Translations from Zanata
  * Update .coveragerc after the removal of openstack directory
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev9:
  * Fix Jasmine unit tests
  * Fixed processing of node properties with null value
  * Fixed typo in edit-node service
  * Consolidate processing of node properties
* Fri Oct  7 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.1.1.dev1:
  * Enable release notes translation
  2.1.0
* Thu Sep 29 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.0.1.dev19:
  * Added release notes for 2.1.0 release
  * Added support for editing Ironic nodes
* Sun Sep 25 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.0.1.dev16:
  * Update homepage with developer documentation page
  * TrivialFix: Remove logging import unused
  * Minor state-machine fixes/updates
* Sat Sep 24 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.0.1.dev11:
  * Clean imports in code
  * update homepage with developer documentation page
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.0.1.dev7:
  * Updated to ironic API v1.11 and added manageable state
* Tue Sep 20 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.0.1.dev6:
  * Improve the display of node information
* Fri Sep  2 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.0.1.dev4:
  * Add translation support
* Wed Aug 31 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.0.1.dev3:
  * Cleanup tox.ini
* Thu Aug 25 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.0.1.dev2:
  * Imported Translations from Zanata
* Sat Aug 20 2016 cloud-devel@suse.de
- Update to version ironic-ui-2.0.1.dev1:
  * Imported Translations from Zanata
  2.0.0
* Thu Aug 18 2016 cloud-devel@suse.de
- Update to version ironic-ui-1.1.1.dev41:
  * Added release notes for 2.0.0 release
  * Add reno for release notes management
* Wed Aug 17 2016 cloud-devel@suse.de
- Update to version ironic-ui-1.1.1.dev38:
  * Hide panel if 'baremetal' service not present
  * Added support for creating/deleting network ports
  * Imported Translations from Zanata
* Tue Aug 16 2016 cloud-devel@suse.de
- Update to version ironic-ui-1.1.1.dev33:
  * Inherit test settings from Horizon
  * Changed dropdown menu to align right on driver details page
* Wed Aug  3 2016 cloud-devel@suse.de
- Update to version ironic-ui-1.1.1.dev30:
  * Fix a mistake in the document about the filepath
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version ironic-ui-1.1.1.dev29:
  * Imported Translations from Zanata
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version ironic-ui-1.1.1.dev28:
  * UX improvements to the enroll-node dialog
  * Updated ironic-ui documentation
* Fri Jun 17 2016 cloud-devel@suse.de
- Update to version ironic-ui-1.1.1.dev24:
  * Manually fixed breadcrumbs for ironic-ui
* Sat Jun 11 2016 cloud-devel@suse.de
- Update to version ironic-ui-1.1.1.dev22:
  * Provide capability to select deploy images
  * Fixed node-detail controller unit test
  * Fix node list magic search bar
  * Fixed bug in evaluation of postfix expression
* Wed May 25 2016 tbechtold@suse.com
- Update to version ironic-ui-1.1.1.dev14:
  * Imported Translations from Zanata
  * UI improvements for enroll node functionality
- Fix _service
* Thu May 19 2016 dmueller@suse.com
- fix requirements
* Wed May 18 2016 mjura@suse.com
- Initial package creation
